.top-nav {
  .navbar-nav {
    .nav-link {
      font-family: $font-global;
      font-style: normal;
      font-weight: 700;
      font-size: 1rem;
      line-height: 19px;
      color: $text-color-1;
      padding-left: 15px;
      padding-right: 15px;

      @include transition();

      @include media-breakpoint-only(lg){
        padding-left: 10px;
        padding-right: 10px;
      }
    }
  }

  .navbar-collapse {
    flex-basis: unset;
    flex-grow: unset;
  }

  .navbar-toggler {
    font-family: $font-global;
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 19px;
    color: $text-color-1;
    border: none;
    display: flex;
    align-items: center;

    .toggler-icon {
      width: 19px;
      height: 17px;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      margin-left: 7px;

      span {
        display: block;
        width: 19px;
        height: 3px;
        background-color: $border-color-1;
      }
    }
  }

  .desktop-nav {
    .navbar-nav {
      flex-direction: row;
    }
  }

  .phone-nav {
    position: fixed;
    top: 0;
    left: 200%;
    width: 100%;
    bottom: 0;
    background-color: $color-bg-1;
    z-index: 100;

    &.on {
      left: 0;
    }

    @include transition();

    &__inner {
      position: absolute;
      content: "";
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background-color: $color-bg-2;
      padding: 15px;
      display: flex;
      flex-direction: column;
    }

    .social-icon {
      margin-top: auto;
    }

    .nav-item {
      padding: 24px 0;
      position: relative;

      &:after {
        content: "";
        position: absolute;
        height: 1px;
        width: 50px;
        bottom: 0;
        left: 0;
        background: $border-color-1;
        opacity: .3;
      }

      .nav-link {
        font-family: $font-global;
        font-style: normal;
        font-weight: 700;
        font-size: 24px;
        line-height: 19px;
        text-transform: uppercase;
        color: $text-color-1;
      }
    }

    .toggler-icon {
      position: relative;

      span {
        position: absolute;
        left: 50%;
        top: 50%;

        &:first-child {
          transform: translate(-50%, -50%) rotate(45deg);
        }

        &:last-child {
          transform: translate(-50%, -50%) rotate(-45deg);
        }
      }
    }

    &__header {
      display: flex;
      justify-content: space-between;
      width: 100%;
      margin-top: 5px;
      align-items: center;
    }

    .switch-lang {
      display: flex;
      list-style: none;
      margin: 0;
      padding: 0;

      &__item {
        a {
          font-family: $font-global;
          font-style: normal;
          font-weight: 700;
          font-size: 18px;
          line-height: 19px;
          color: $button-color-1;
          opacity: .34;
          text-decoration: none;
          margin-right: 10px;

          &.active {
            opacity: 1;
          }
        }
      }
    }
  }
}